%global	modname	cypari2

Name:		python-%{modname}
Version:	1.0.0
Release:	1%{?dist}
Summary:	Interrupt and signal handling for Cython
License:	GPLv2
URL:		https://github.com/defeo/%{modname}
Source0:	https://github.com/defeo/%{name}/archive/%{version}.tar.gz
# Previously sagemath-pari.patch
Patch0:		%{name}-pari.patch
BuildRequires:	gmp-devel
BuildRequires:	pari-devel
BuildRequires:	pari-gp

%global _description \
A Python interface to the number theory library libpari.

%description	%{_description}

%package	-n python2-%{modname}
Summary:	%{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:	python2-devel
BuildRequires:	python2-Cython
BuildRequires:	python2-cysignals-devel
%description	-n python2-%{modname} %{_description}

%package	-n python2-%{modname}-devel
Summary:	%{summary} headers files
%{?python_provide:%python_provide python2-%{modname}-devel}
Requires:	python2-%{modname}
%description	-n python2-%{modname}-devel %{_description}

%package	-n python3-%{modname}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:	python3-devel
BuildRequires:	python3-Cython
BuildRequires:	python3-cysignals-devel
%description	-n python3-%{modname} %{_description}

%package	-n python3-%{modname}-devel
Summary:	%{summary} headers files
%{?python_provide:%python_provide python3-%{modname}-devel}
Requires:	python3-%{modname}
%description	-n python3-%{modname}-devel %{_description}

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p0

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files		-n python2-%{modname}
%license LICENSE
%doc README.md
%{python2_sitearch}/%{modname}
%{python2_sitearch}/%{modname}-*.egg-info
%exclude %{python2_sitearch}/%{modname}/*.h
%exclude %{python2_sitearch}/%{modname}/*.pxd
%exclude %{python2_sitearch}/%{modname}/*.pxi

%files		-n python2-%{modname}-devel
%{python2_sitearch}/%{modname}/*.h
%{python2_sitearch}/%{modname}/*.pxd
%{python2_sitearch}/%{modname}/*.pxi

%files		-n python3-%{modname}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{modname}
%{python3_sitearch}/%{modname}-*.egg-info
%exclude %{python3_sitearch}/%{modname}/*.h
%exclude %{python3_sitearch}/%{modname}/*.pxd
%exclude %{python3_sitearch}/%{modname}/*.pxi

%files		-n python3-%{modname}-devel
%{python3_sitearch}/%{modname}/*.h
%{python3_sitearch}/%{modname}/*.pxd
%{python3_sitearch}/%{modname}/*.pxi

%changelog
* Wed Nov 08 2017 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.0.0-1
- Initial python-cypari2 spec.
